diff --git a/src/window.py b/src/window.py
new file mode 100644
index 0000000..6d0f840
--- /dev/null
+++ b/src/window.py
@@ -0,0 +1,344 @@
+# -*- coding: utf-8 -*-
+
+# Form implementation generated from reading ui file 'ui/MainWindow.ui'
+#
+# Created by: PyQt5 UI code generator 5.13.0
+#
+# WARNING! All changes made in this file will be lost!
+
+
+from PyQt5 import QtCore, QtGui, QtWidgets
+
+
+class Ui_MainWindow(object):
+    def setupUi(self, MainWindow):
+        MainWindow.setObjectName("MainWindow")
+        MainWindow.resize(1031, 766)
+        MainWindow.setMouseTracking(False)
+        self.centralwidget = QtWidgets.QWidget(MainWindow)
+        self.centralwidget.setObjectName("centralwidget")
+        self.gridLayout = QtWidgets.QGridLayout(self.centralwidget)
+        self.gridLayout.setObjectName("gridLayout")
+        self.loginButton = QtWidgets.QPushButton(self.centralwidget)
+        self.loginButton.setObjectName("loginButton")
+        self.gridLayout.addWidget(self.loginButton, 1, 4, 1, 1)
+        self.frame = QtWidgets.QFrame(self.centralwidget)
+        self.frame.setEnabled(True)
+        self.frame.setAutoFillBackground(False)
+        self.frame.setLocale(QtCore.QLocale(QtCore.QLocale.English, QtCore.QLocale.UnitedKingdom))
+        self.frame.setFrameShape(QtWidgets.QFrame.StyledPanel)
+        self.frame.setFrameShadow(QtWidgets.QFrame.Raised)
+        self.frame.setObjectName("frame")
+        self.gridLayout_2 = QtWidgets.QGridLayout(self.frame)
+        self.gridLayout_2.setObjectName("gridLayout_2")
+        self.karmaBox = QtWidgets.QComboBox(self.frame)
+        self.karmaBox.setObjectName("karmaBox")
+        self.karmaBox.addItem("")
+        self.karmaBox.addItem("")
+        self.karmaBox.addItem("")
+        self.gridLayout_2.addWidget(self.karmaBox, 28, 5, 1, 1)
+        self.Karma = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(False)
+        font.setWeight(50)
+        font.setKerning(True)
+        self.Karma.setFont(font)
+        self.Karma.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Karma.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Karma.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
+        self.Karma.setObjectName("Karma")
+        self.gridLayout_2.addWidget(self.Karma, 12, 4, 1, 1)
+        self.UpdateType = QtWidgets.QLabel(self.frame)
+        self.UpdateType.setObjectName("UpdateType")
+        self.gridLayout_2.addWidget(self.UpdateType, 1, 3, 1, 1)
+        self.Request = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(False)
+        font.setWeight(50)
+        font.setKerning(True)
+        self.Request.setFont(font)
+        self.Request.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Request.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Request.setText("")
+        self.Request.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
+        self.Request.setObjectName("Request")
+        self.gridLayout_2.addWidget(self.Request, 10, 6, 1, 1)
+        self.Release_notes = QtWidgets.QTextBrowser(self.frame)
+        self.Release_notes.setObjectName("Release_notes")
+        self.gridLayout_2.addWidget(self.Release_notes, 7, 3, 1, 6)
+        self.treeWidget_comment = QtWidgets.QTreeWidget(self.frame)
+        self.treeWidget_comment.setObjectName("treeWidget_comment")
+        self.gridLayout_2.addWidget(self.treeWidget_comment, 13, 3, 1, 6)
+        self.Status_static = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(True)
+        font.setWeight(75)
+        font.setKerning(True)
+        self.Status_static.setFont(font)
+        self.Status_static.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Status_static.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Status_static.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.Status_static.setObjectName("Status_static")
+        self.gridLayout_2.addWidget(self.Status_static, 9, 5, 1, 1)
+        self.label_2 = QtWidgets.QLabel(self.frame)
+        self.label_2.setObjectName("label_2")
+        self.gridLayout_2.addWidget(self.label_2, 17, 3, 1, 1)
+        self.Package_name_main = QtWidgets.QLabel(self.frame)
+        self.Package_name_main.setMaximumSize(QtCore.QSize(1000, 1000))
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setPointSize(22)
+        font.setBold(False)
+        font.setWeight(50)
+        self.Package_name_main.setFont(font)
+        self.Package_name_main.setObjectName("Package_name_main")
+        self.gridLayout_2.addWidget(self.Package_name_main, 5, 3, 1, 4)
+        self.Package_breif = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setPointSize(12)
+        font.setBold(False)
+        font.setWeight(50)
+        self.Package_breif.setFont(font)
+        self.Package_breif.setObjectName("Package_breif")
+        self.gridLayout_2.addWidget(self.Package_breif, 6, 3, 1, 1)
+        self.Status = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(False)
+        font.setWeight(50)
+        font.setKerning(True)
+        self.Status.setFont(font)
+        self.Status.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Status.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Status.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
+        self.Status.setObjectName("Status")
+        self.gridLayout_2.addWidget(self.Status, 9, 6, 1, 1)
+        self.Date_static = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(True)
+        font.setWeight(75)
+        font.setKerning(True)
+        self.Date_static.setFont(font)
+        self.Date_static.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Date_static.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Date_static.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.Date_static.setObjectName("Date_static")
+        self.gridLayout_2.addWidget(self.Date_static, 10, 3, 1, 1)
+        self.pushButton = QtWidgets.QPushButton(self.frame)
+        self.pushButton.setObjectName("pushButton")
+        self.gridLayout_2.addWidget(self.pushButton, 28, 6, 1, 2)
+        self.frame_2 = QtWidgets.QFrame(self.frame)
+        self.frame_2.setMinimumSize(QtCore.QSize(300, 600))
+        self.frame_2.setMaximumSize(QtCore.QSize(300, 16777215))
+        self.frame_2.setFrameShape(QtWidgets.QFrame.StyledPanel)
+        self.frame_2.setFrameShadow(QtWidgets.QFrame.Raised)
+        self.frame_2.setObjectName("frame_2")
+        self.gridLayout_3 = QtWidgets.QGridLayout(self.frame_2)
+        self.gridLayout_3.setObjectName("gridLayout_3")
+        self.listWidget = QtWidgets.QListWidget(self.frame_2)
+        self.listWidget.setObjectName("listWidget")
+        self.gridLayout_3.addWidget(self.listWidget, 1, 0, 1, 2)
+        self.label_4 = QtWidgets.QLabel(self.frame_2)
+        self.label_4.setObjectName("label_4")
+        self.gridLayout_3.addWidget(self.label_4, 10, 0, 1, 1)
+        self.PageNum = QtWidgets.QLabel(self.frame_2)
+        self.PageNum.setObjectName("PageNum")
+        self.gridLayout_3.addWidget(self.PageNum, 10, 1, 1, 1)
+        self.fetchUpdatesButton = QtWidgets.QPushButton(self.frame_2)
+        self.fetchUpdatesButton.setObjectName("fetchUpdatesButton")
+        self.gridLayout_3.addWidget(self.fetchUpdatesButton, 11, 0, 1, 2)
+        self.lineEdit = QtWidgets.QLineEdit(self.frame_2)
+        self.lineEdit.setObjectName("lineEdit")
+        self.gridLayout_3.addWidget(self.lineEdit, 0, 0, 1, 2)
+        self.previousButton = QtWidgets.QPushButton(self.frame_2)
+        self.previousButton.setObjectName("previousButton")
+        self.gridLayout_3.addWidget(self.previousButton, 8, 0, 1, 1)
+        self.nextButton = QtWidgets.QPushButton(self.frame_2)
+        self.nextButton.setObjectName("nextButton")
+        self.gridLayout_3.addWidget(self.nextButton, 8, 1, 1, 1)
+        self.gridLayout_2.addWidget(self.frame_2, 0, 0, 29, 1)
+        self.Karma_static = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(True)
+        font.setWeight(75)
+        font.setKerning(True)
+        self.Karma_static.setFont(font)
+        self.Karma_static.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Karma_static.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Karma_static.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.Karma_static.setObjectName("Karma_static")
+        self.gridLayout_2.addWidget(self.Karma_static, 12, 3, 1, 1)
+        self.Release = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(False)
+        font.setWeight(50)
+        font.setKerning(True)
+        self.Release.setFont(font)
+        self.Release.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Release.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Release.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
+        self.Release.setObjectName("Release")
+        self.gridLayout_2.addWidget(self.Release, 9, 4, 1, 1)
+        self.karmaText = QtWidgets.QLabel(self.frame)
+        self.karmaText.setObjectName("karmaText")
+        self.gridLayout_2.addWidget(self.karmaText, 28, 4, 1, 1)
+        self.Request_static = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(True)
+        font.setWeight(75)
+        font.setKerning(True)
+        self.Request_static.setFont(font)
+        self.Request_static.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Request_static.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Request_static.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.Request_static.setObjectName("Request_static")
+        self.gridLayout_2.addWidget(self.Request_static, 10, 5, 1, 1)
+        self.Submit_user = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(False)
+        font.setWeight(50)
+        font.setKerning(True)
+        self.Submit_user.setFont(font)
+        self.Submit_user.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Submit_user.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Submit_user.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
+        self.Submit_user.setObjectName("Submit_user")
+        self.gridLayout_2.addWidget(self.Submit_user, 12, 6, 1, 1)
+        self.Submitter_static = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(True)
+        font.setWeight(75)
+        font.setKerning(True)
+        self.Submitter_static.setFont(font)
+        self.Submitter_static.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Submitter_static.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Submitter_static.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.Submitter_static.setObjectName("Submitter_static")
+        self.gridLayout_2.addWidget(self.Submitter_static, 12, 5, 1, 1)
+        self.commentEdit = QtWidgets.QTextEdit(self.frame)
+        self.commentEdit.setMaximumSize(QtCore.QSize(16777215, 100))
+        self.commentEdit.setObjectName("commentEdit")
+        self.gridLayout_2.addWidget(self.commentEdit, 18, 3, 1, 6)
+        self.Release_static = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(True)
+        font.setWeight(75)
+        font.setKerning(True)
+        self.Release_static.setFont(font)
+        self.Release_static.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Release_static.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Release_static.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.Release_static.setObjectName("Release_static")
+        self.gridLayout_2.addWidget(self.Release_static, 9, 3, 1, 1)
+        self.Date_submitted = QtWidgets.QLabel(self.frame)
+        font = QtGui.QFont()
+        font.setFamily("OpenSymbol")
+        font.setBold(False)
+        font.setWeight(50)
+        font.setKerning(True)
+        self.Date_submitted.setFont(font)
+        self.Date_submitted.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
+        self.Date_submitted.setLayoutDirection(QtCore.Qt.LeftToRight)
+        self.Date_submitted.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
+        self.Date_submitted.setObjectName("Date_submitted")
+        self.gridLayout_2.addWidget(self.Date_submitted, 10, 4, 1, 1)
+        self.critpathText = QtWidgets.QLabel(self.frame)
+        self.critpathText.setObjectName("critpathText")
+        self.gridLayout_2.addWidget(self.critpathText, 26, 4, 1, 1)
+        self.critpathBox = QtWidgets.QComboBox(self.frame)
+        self.critpathBox.setObjectName("critpathBox")
+        self.critpathBox.addItem("")
+        self.critpathBox.addItem("")
+        self.critpathBox.addItem("")
+        self.gridLayout_2.addWidget(self.critpathBox, 26, 5, 1, 1)
+        self.Karma_static.raise_()
+        self.frame_2.raise_()
+        self.Package_breif.raise_()
+        self.commentEdit.raise_()
+        self.Package_name_main.raise_()
+        self.Release_static.raise_()
+        self.Date_static.raise_()
+        self.pushButton.raise_()
+        self.Release.raise_()
+        self.Date_submitted.raise_()
+        self.Karma.raise_()
+        self.Submitter_static.raise_()
+        self.Request_static.raise_()
+        self.Submit_user.raise_()
+        self.Status_static.raise_()
+        self.Status.raise_()
+        self.Request.raise_()
+        self.UpdateType.raise_()
+        self.karmaBox.raise_()
+        self.karmaText.raise_()
+        self.label_2.raise_()
+        self.Release_notes.raise_()
+        self.treeWidget_comment.raise_()
+        self.critpathText.raise_()
+        self.critpathBox.raise_()
+        self.gridLayout.addWidget(self.frame, 3, 0, 1, 5)
+        self.usernamLable = QtWidgets.QLabel(self.centralwidget)
+        self.usernamLable.setObjectName("usernamLable")
+        self.gridLayout.addWidget(self.usernamLable, 1, 3, 1, 1, QtCore.Qt.AlignRight)
+        MainWindow.setCentralWidget(self.centralwidget)
+        self.statusbar = QtWidgets.QStatusBar(MainWindow)
+        self.statusbar.setObjectName("statusbar")
+        MainWindow.setStatusBar(self.statusbar)
+
+        self.retranslateUi(MainWindow)
+        self.karmaBox.setCurrentIndex(1)
+        self.critpathBox.setCurrentIndex(1)
+        QtCore.QMetaObject.connectSlotsByName(MainWindow)
+
+    def retranslateUi(self, MainWindow):
+        _translate = QtCore.QCoreApplication.translate
+        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
+        self.loginButton.setText(_translate("MainWindow", "Login"))
+        self.karmaBox.setCurrentText(_translate("MainWindow", "0"))
+        self.karmaBox.setItemText(0, _translate("MainWindow", "1"))
+        self.karmaBox.setItemText(1, _translate("MainWindow", "0"))
+        self.karmaBox.setItemText(2, _translate("MainWindow", "-1"))
+        self.Karma.setText(_translate("MainWindow", "__"))
+        self.UpdateType.setText(_translate("MainWindow", "__"))
+        self.treeWidget_comment.headerItem().setText(0, _translate("MainWindow", "#"))
+        self.treeWidget_comment.headerItem().setText(1, _translate("MainWindow", "karma"))
+        self.treeWidget_comment.headerItem().setText(2, _translate("MainWindow", "critpath"))
+        self.treeWidget_comment.headerItem().setText(3, _translate("MainWindow", "user"))
+        self.treeWidget_comment.headerItem().setText(4, _translate("MainWindow", "comment"))
+        self.Status_static.setText(_translate("MainWindow", "Status"))
+        self.label_2.setText(_translate("MainWindow", "Comment"))
+        self.Package_name_main.setText(_translate("MainWindow", "Package Name"))
+        self.Package_breif.setText(_translate("MainWindow", "breif"))
+        self.Status.setText(_translate("MainWindow", "__"))
+        self.Date_static.setText(_translate("MainWindow", "date submitted"))
+        self.pushButton.setText(_translate("MainWindow", "Submit"))
+        self.label_4.setText(_translate("MainWindow", "Page number:"))
+        self.PageNum.setText(_translate("MainWindow", "1"))
+        self.fetchUpdatesButton.setText(_translate("MainWindow", "Fetch Updates"))
+        self.previousButton.setText(_translate("MainWindow", "Previous"))
+        self.nextButton.setText(_translate("MainWindow", "Next"))
+        self.Karma_static.setText(_translate("MainWindow", "Karma"))
+        self.Release.setText(_translate("MainWindow", "__"))
+        self.karmaText.setText(_translate("MainWindow", "Karma"))
+        self.Request_static.setText(_translate("MainWindow", "Request"))
+        self.Submit_user.setText(_translate("MainWindow", "__"))
+        self.Submitter_static.setText(_translate("MainWindow", "Submitter"))
+        self.Release_static.setText(_translate("MainWindow", "Release"))
+        self.Date_submitted.setText(_translate("MainWindow", "__"))
+        self.critpathText.setText(_translate("MainWindow", "critpath"))
+        self.critpathBox.setCurrentText(_translate("MainWindow", "0"))
+        self.critpathBox.setItemText(0, _translate("MainWindow", "1"))
+        self.critpathBox.setItemText(1, _translate("MainWindow", "0"))
+        self.critpathBox.setItemText(2, _translate("MainWindow", "-1"))
+        self.usernamLable.setText(_translate("MainWindow", "Username"))
diff --git a/ui/Login.ui b/ui/Login.ui
new file mode 100644
index 0000000..f9bb4ee
--- /dev/null
+++ b/ui/Login.ui
@@ -0,0 +1,93 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>Login</class>
+ <widget class="QDialog" name="Login">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>250</width>
+    <height>300</height>
+   </rect>
+  </property>
+  <property name="sizePolicy">
+   <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+    <horstretch>0</horstretch>
+    <verstretch>0</verstretch>
+   </sizepolicy>
+  </property>
+  <property name="minimumSize">
+   <size>
+    <width>250</width>
+    <height>300</height>
+   </size>
+  </property>
+  <property name="maximumSize">
+   <size>
+    <width>250</width>
+    <height>300</height>
+   </size>
+  </property>
+  <property name="windowTitle">
+   <string>Login</string>
+  </property>
+  <widget class="QWidget" name="gridLayoutWidget">
+   <property name="geometry">
+    <rect>
+     <x>0</x>
+     <y>0</y>
+     <width>241</width>
+     <height>291</height>
+    </rect>
+   </property>
+   <layout class="QGridLayout" name="gridLayout">
+    <item row="5" column="0">
+     <widget class="QLineEdit" name="Password">
+      <property name="text">
+       <string/>
+      </property>
+      <property name="echoMode">
+       <enum>QLineEdit::Password</enum>
+      </property>
+     </widget>
+    </item>
+    <item row="2" column="0">
+     <widget class="QLabel" name="label_username">
+      <property name="text">
+       <string>Username</string>
+      </property>
+     </widget>
+    </item>
+    <item row="4" column="0">
+     <widget class="QLabel" name="label_Password">
+      <property name="text">
+       <string>Password</string>
+      </property>
+     </widget>
+    </item>
+    <item row="7" column="0">
+     <widget class="QComboBox" name="fedoraReleases"/>
+    </item>
+    <item row="6" column="0">
+     <widget class="QLabel" name="label_FeodraVersion">
+      <property name="text">
+       <string>Fedora Version</string>
+      </property>
+     </widget>
+    </item>
+    <item row="8" column="0">
+     <widget class="QPushButton" name="saveButton">
+      <property name="text">
+       <string>Save</string>
+      </property>
+     </widget>
+    </item>
+    <item row="3" column="0">
+     <widget class="QLineEdit" name="Username"/>
+    </item>
+   </layout>
+  </widget>
+ </widget>
+ <resources/>
+ <connections/>
+</ui>
